Page MenuHomePhabricator

[ARM] Skip debug during vpt block creation
ClosedPublic

Authored by dmgreen on Jun 3 2021, 5:18 AM.

Details

Summary

Debug info is currently preventing VPT block creation, leading to different codegen. This patch attempts to skip any debug instructions during vpt block creation, making sure they do not interfere.

Diff Detail

Event Timeline

dmgreen created this revision.Jun 3 2021, 5:18 AM
dmgreen requested review of this revision.Jun 3 2021, 5:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 3 2021, 5:18 AM
samtebbs accepted this revision.Jun 8 2021, 9:04 AM

Very nice

This revision is now accepted and ready to land.Jun 8 2021, 9:04 AM
This revision was landed with ongoing or failed builds.Jun 10 2021, 6:49 AM
This revision was automatically updated to reflect the committed changes.